"""Construction Task Domain - JSONL Handler"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import ConstructionTaskSyncNode
from schemas.construction.construction import ConstructionResponse


class ConstructionTaskJsonlHandler(BaseJsonlHandler):
    """施工任务 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "construction_task", ConstructionTaskSyncNode, ConstructionResponse)
